package com.mosty.sjzx.service.impl;

import com.mosty.common.token.UserInfo;
import com.mosty.common.token.UserInfoManager;
import com.mosty.base.model.entity.sjzx.TbSjCyjl;
import com.mosty.common.util.PermissionsUtil;
import com.mosty.sjzx.mapper.TbSjCyjlMapper;
import com.mosty.sjzx.service.TbSjCyjlService;
import org.springframework.stereotype.Service;

import java.util.List;
import javax.annotation.Resource;

/**
 * 事件-参与警力表(TbSjCyjl)表服务实现类
 *
 * @author zhangHaiJun
 * @since 2022-07-13 09:11:18
 */
@Service("tbSjCyjlService")
public class TbSjCyjlServiceImpl implements TbSjCyjlService {
    @Resource
    private TbSjCyjlMapper tbSjCyjlMapper;

    @Override
    public List<TbSjCyjl> queryAll() {
        UserInfo user = UserInfoManager.get();
        return this.tbSjCyjlMapper.queryAll(PermissionsUtil.createSql("", user));
    }

    @Override
    public TbSjCyjl queryById(String id) {
        return this.tbSjCyjlMapper.queryById(id);
    }

    @Override
    public Object joinCopCount(TbSjCyjl tbSjCyjl) {
        return tbSjCyjlMapper.joinCopCount(tbSjCyjl);
    }
}

